Technology

joi, 20 septembrie 2018

Filled Under: , , ,

AVERTIZARE pentru toți utilizatorii Apple! A fost descoperită o nouă vulnerabilitate a sistemului de operare


Toți utilizatorii Apple trebuie să fie atenți, se pare că o nouă vulnerabilitate a fost descoperită în sistemele de operare iOS și macOS care blochează, resetează sau duc la închiderea aplicațiilor, scrie GO4it.

Se pare că este vorba despre un cod de tip CSS, folosit în realizarea site-urilor web şi poate duce la situaţii neplăcute în cazul în care utilizatorii accesează astfel de link-uri maliţioase. Deși vulnerabilitatea nu are şi alte efecte negative, pare să dezvăluie o problemă cu sistemul de accelerare 3D din browser-ul Safari şi „motorul” din spatele acestuia, WebKit.


Problema a fost descoperită de Sabri Haddouche, un dezvoltator software care a publicat codul pe contul său de Twitter, anunţându-i pe cei care ar putea da click despre riscurile la care se supun. Practic, codul său CSS foloseşte mai puţin de 20 de linii de cod, care aplică un efect de înceţoşare peste elementele din fundal, care foloseşte cipul grafic pentru calcule.

Afişarea efectului în sine nu este problematic, însă afişarea lui în mai multe instanţe suprapuse reuşeşte să depăşească capabilitatea dispozitivelor ducând la una din trei posibilităţi: repornirea interfeţei springboard din iOS, repornirea telefonului sau închiderea aplicăţiei.

Sursa : a1.ro

0 comentarii:

Trimiteți un comentariu